diff --git a/CMakeLists.txt b/CMakeLists.txt
index ecb6d87..285dae4 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -37,6 +37,14 @@ if ("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
   find_package(KF5XmlGui ${KF5_VERSION} REQUIRED)
 endif()
 
+if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/po)
+    include(ECMCreateQmFromPoFiles)
+    ecm_create_qm_from_po_files(
+        PO_DIR po
+        POT_NAME kbookmarks5.pot
+        DATA_INSTALL_SUB_DIR kbookmarks
+        CREATE_LOADER kbookmarks_QM_LOADER)
+endif()
 add_subdirectory(src)
 add_subdirectory(tests)
 add_subdirectory(autotests)
diff --git a/po/kbookmarks5-fr.po b/po/kbookmarks5-fr.po
new file mode 100644
index 0000000..ddb4dc0
--- /dev/null
+++ b/po/kbookmarks5-fr.po
@@ -0,0 +1,272 @@
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"POT-Creation-Date: \n"
+"PO-Revision-Date: \n"
+"Last-Translator: \n"
+"Language-Team: \n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Qt-Contexts: true\n"
+"X-Generator: Poedit 1.5.4\n"
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmark.cpp:307
+msgctxt "Bookmark separator|"
+msgid "--- separator ---"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:62
+msgctxt "KBookmarkContextMenu|"
+msgid "Add Bookmark Here"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:68
+msgctxt "KBookmarkContextMenu|"
+msgid "Open Folder in Bookmark Editor"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:71
+msgctxt "KBookmarkContextMenu|"
+msgid "Delete Folder"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:76
+msgctxt "KBookmarkContextMenu|"
+msgid "Properties"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:81
+msgctxt "KBookmarkContextMenu|"
+msgid "Copy Link Address"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:84
+msgctxt "KBookmarkContextMenu|"
+msgid "Delete Bookmark"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:90
+msgctxt "KBookmarkContextMenu|"
+msgid "Open Folder in Tabs"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:116
+msgctxt "KBookmarkContextMenu|"
+msgid "Cannot add bookmark with empty URL."
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:146
+msgctxt "KBookmarkContextMenu|"
+msgid "Bookmark Folder Deletion"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:147
+msgctxt "KBookmarkContextMenu|"
+msgid "Bookmark Deletion"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:148
+#, qt-format
+msgctxt "KBookmarkContextMenu|"
+msgid ""
+"Are you sure you wish to remove the bookmark folder\n"
+"\"%1\"?"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:149
+#, qt-format
+msgctxt "KBookmarkContextMenu|"
+msgid ""
+"Are you sure you wish to remove the bookmark\n"
+"\"%1\"?"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:70
+msgctxt "QObject|@label:textbox"
+msgid "Name:"
+msgstr "Nom :"
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:75
+msgctxt "QObject|@label:textbox"
+msgid "Location:"
+msgstr "Emplacement :"
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:80
+msgctxt "QObject|@label:textbox"
+msgid "Comment:"
+msgstr "Commentaire :"
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:191
+msgctxt "KBookmarkDialog|@action:button"
+msgid "Update"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:192
+msgctxt "KBookmarkDialog|@title:window"
+msgid "Bookmark Properties"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:223
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:261
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:295
+msgctxt "KBookmarkDialog|@action:button"
+msgid "&New Folder..."
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:227
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:265
+msgctxt "KBookmarkDialog|@action:button"
+msgid "Add"
+msgstr "Ajouter"
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:228
+msgctxt "KBookmarkDialog|@title:window"
+msgid "Add Bookmark"
+msgstr "Ajouter un signet"
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:266
+msgctxt "KBookmarkDialog|@title:window"
+msgid "Add Bookmarks"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:299
+msgctxt "KBookmarkDialog|@title:window"
+msgid "Select Folder"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:327
+msgctxt "KBookmarkDialog|@title:window"
+msgid "New Folder"
+msgstr "Nouveau dossier"
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:362
+msgctxt "KBookmarkDialog|@title:window"
+msgid "Create New Bookmark Folder"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:363
+#, qt-format
+msgctxt "KBookmarkDialog|@title:window"
+msgid "Create New Bookmark Folder in %1"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:365
+msgctxt "KBookmarkDialog|@label:textbox"
+msgid "New folder:"
+msgstr "Nouveau dossier :"
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:386
+msgctxt "KBookmarkDialog|name of the container of all browser bookmarks"
+msgid "Bookmarks"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkimporter_ns.cpp:115
+msgctxt "KNSBookmarkImporterImpl|"
+msgid "HTML Files (*.html)"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkimporter_ns.cpp:119
+msgctxt "KNSBookmarkImporterImpl|"
+msgid "*.html|HTML Files (*.html)"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkimporter_ns.cpp:135
+#, qt-format
+msgctxt "KNSBookmarkImporterImpl|"
+msgid ""
+"Could not find %1. Netscape is probably not installed. Aborting the export."
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkimporter_ns.cpp:137
+msgctxt "KNSBookmarkImporterImpl|"
+msgid "Netscape not found"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkimporter_ns.cpp:158
+msgctxt "KNSBookmarkImporterImpl|"
+msgid "<!-- This file was generated by Konqueror -->"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkimporter_ns.cpp:161
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkimporter_ns.cpp:162
+msgctxt "KNSBookmarkImporterImpl|"
+msgid "Bookmarks"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkimporter_opera.cpp:119
+msgctxt "KOperaBookmarkImporterImpl|"
+msgid "Opera Bookmark Files (*.adr)"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkimporter_opera.cpp:122
+msgctxt "KOperaBookmarkImporterImpl|"
+msgid "*.adr|Opera Bookmark Files (*.adr)"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkmanager.cpp:442
+#, qt-format
+msgctxt "KBookmarkManager|"
+msgid ""
+"Unable to save bookmarks in %1. Reported error was: %2. This error message "
+"will only be shown once. The cause of the error needs to be fixed as quickly "
+"as possible, which is most likely a full hard drive."
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkmenu.cpp:260
+msgctxt "KBookmarkMenu|"
+msgid "Open Folder in Tabs"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkmenu.cpp:264
+msgctxt "KBookmarkMenu|"
+msgid "Open all bookmarks in this folder as a new tab."
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkmenu.cpp:279
+msgctxt "KBookmarkMenu|"
+msgid "Bookmark Tabs as Folder..."
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkmenu.cpp:283
+msgctxt "KBookmarkMenu|"
+msgid "Add a folder of bookmarks for all open tabs."
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkmenu.cpp:320
+msgctxt "KBookmarkMenu|"
+msgid "Edit your bookmark collection in a separate window"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkmenu.cpp:331
+msgctxt "KBookmarkMenu|"
+msgid "New Bookmark Folder..."
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkmenu.cpp:333
+msgctxt "KBookmarkMenu|"
+msgid "Create a new bookmark folder in this menu"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/konqbookmarkmenu.cpp:59
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/konqbookmarkmenu.cpp:72
+msgctxt "KonqBookmarkContextMenu|"
+msgid "Hide in toolbar"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/konqbookmarkmenu.cpp:59
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/konqbookmarkmenu.cpp:72
+msgctxt "KonqBookmarkContextMenu|"
+msgid "Show in toolbar"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/konqbookmarkmenu.cpp:66
+msgctxt "KonqBookmarkContextMenu|"
+msgid "Open in New Window"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/konqbookmarkmenu.cpp:67
+msgctxt "KonqBookmarkContextMenu|"
+msgid "Open in New Tab"
+msgstr ""
diff --git a/po/kbookmarks5.pot b/po/kbookmarks5.pot
new file mode 100644
index 0000000..a1c5fba
--- /dev/null
+++ b/po/kbookmarks5.pot
@@ -0,0 +1,265 @@
+msgid ""
+msgstr ""
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Qt-Contexts: true\n"
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmark.cpp:307
+msgctxt "Bookmark separator|"
+msgid "--- separator ---"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:62
+msgctxt "KBookmarkContextMenu|"
+msgid "Add Bookmark Here"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:68
+msgctxt "KBookmarkContextMenu|"
+msgid "Open Folder in Bookmark Editor"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:71
+msgctxt "KBookmarkContextMenu|"
+msgid "Delete Folder"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:76
+msgctxt "KBookmarkContextMenu|"
+msgid "Properties"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:81
+msgctxt "KBookmarkContextMenu|"
+msgid "Copy Link Address"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:84
+msgctxt "KBookmarkContextMenu|"
+msgid "Delete Bookmark"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:90
+msgctxt "KBookmarkContextMenu|"
+msgid "Open Folder in Tabs"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:116
+msgctxt "KBookmarkContextMenu|"
+msgid "Cannot add bookmark with empty URL."
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:146
+msgctxt "KBookmarkContextMenu|"
+msgid "Bookmark Folder Deletion"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:147
+msgctxt "KBookmarkContextMenu|"
+msgid "Bookmark Deletion"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:148
+#, qt-format
+msgctxt "KBookmarkContextMenu|"
+msgid ""
+"Are you sure you wish to remove the bookmark folder\n"
+"\"%1\"?"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkcontextmenu.cpp:149
+#, qt-format
+msgctxt "KBookmarkContextMenu|"
+msgid ""
+"Are you sure you wish to remove the bookmark\n"
+"\"%1\"?"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:71
+msgctxt "KBookmarkDialog|@label:textbox"
+msgid "Name:"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:76
+msgctxt "KBookmarkDialog|@label:textbox"
+msgid "Location:"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:81
+msgctxt "KBookmarkDialog|@label:textbox"
+msgid "Comment:"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:192
+msgctxt "KBookmarkDialog|@action:button"
+msgid "Update"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:193
+msgctxt "KBookmarkDialog|@title:window"
+msgid "Bookmark Properties"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:224
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:262
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:296
+msgctxt "KBookmarkDialog|@action:button"
+msgid "&New Folder..."
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:228
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:266
+msgctxt "KBookmarkDialog|@action:button"
+msgid "Add"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:229
+msgctxt "KBookmarkDialog|@title:window"
+msgid "Add Bookmark"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:267
+msgctxt "KBookmarkDialog|@title:window"
+msgid "Add Bookmarks"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:300
+msgctxt "KBookmarkDialog|@title:window"
+msgid "Select Folder"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:328
+msgctxt "KBookmarkDialog|@title:window"
+msgid "New Folder"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:363
+msgctxt "KBookmarkDialog|@title:window"
+msgid "Create New Bookmark Folder"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:364
+#, qt-format
+msgctxt "KBookmarkDialog|@title:window"
+msgid "Create New Bookmark Folder in %1"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:366
+msgctxt "KBookmarkDialog|@label:textbox"
+msgid "New folder:"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkdialog.cpp:387
+msgctxt "KBookmarkDialog|name of the container of all browser bookmarks"
+msgid "Bookmarks"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkmanager.cpp:442
+#, qt-format
+msgctxt "KBookmarkManager|"
+msgid ""
+"Unable to save bookmarks in %1. Reported error was: %2. This error message "
+"will only be shown once. The cause of the error needs to be fixed as quickly "
+"as possible, which is most likely a full hard drive."
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkmenu.cpp:260
+msgctxt "KBookmarkMenu|"
+msgid "Open Folder in Tabs"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkmenu.cpp:264
+msgctxt "KBookmarkMenu|"
+msgid "Open all bookmarks in this folder as a new tab."
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkmenu.cpp:279
+msgctxt "KBookmarkMenu|"
+msgid "Bookmark Tabs as Folder..."
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkmenu.cpp:283
+msgctxt "KBookmarkMenu|"
+msgid "Add a folder of bookmarks for all open tabs."
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkmenu.cpp:320
+msgctxt "KBookmarkMenu|"
+msgid "Edit your bookmark collection in a separate window"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkmenu.cpp:331
+msgctxt "KBookmarkMenu|"
+msgid "New Bookmark Folder..."
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkmenu.cpp:333
+msgctxt "KBookmarkMenu|"
+msgid "Create a new bookmark folder in this menu"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkimporter_ns.cpp:115
+msgctxt "KNSBookmarkImporterImpl|"
+msgid "HTML Files (*.html)"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkimporter_ns.cpp:119
+msgctxt "KNSBookmarkImporterImpl|"
+msgid "*.html|HTML Files (*.html)"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkimporter_ns.cpp:135
+#, qt-format
+msgctxt "KNSBookmarkImporterImpl|"
+msgid ""
+"Could not find %1. Netscape is probably not installed. Aborting the export."
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkimporter_ns.cpp:137
+msgctxt "KNSBookmarkImporterImpl|"
+msgid "Netscape not found"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkimporter_ns.cpp:158
+msgctxt "KNSBookmarkImporterImpl|"
+msgid "<!-- This file was generated by Konqueror -->"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkimporter_ns.cpp:161
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkimporter_ns.cpp:162
+msgctxt "KNSBookmarkImporterImpl|"
+msgid "Bookmarks"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkimporter_opera.cpp:119
+msgctxt "KOperaBookmarkImporterImpl|"
+msgid "Opera Bookmark Files (*.adr)"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/kbookmarkimporter_opera.cpp:122
+msgctxt "KOperaBookmarkImporterImpl|"
+msgid "*.adr|Opera Bookmark Files (*.adr)"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/konqbookmarkmenu.cpp:59
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/konqbookmarkmenu.cpp:72
+msgctxt "KonqBookmarkContextMenu|"
+msgid "Hide in toolbar"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/konqbookmarkmenu.cpp:59
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/konqbookmarkmenu.cpp:72
+msgctxt "KonqBookmarkContextMenu|"
+msgid "Show in toolbar"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/konqbookmarkmenu.cpp:66
+msgctxt "KonqBookmarkContextMenu|"
+msgid "Open in New Window"
+msgstr ""
+
+#: ../../home/aurelien/src/kf5/frameworks/kbookmarks/src/konqbookmarkmenu.cpp:67
+msgctxt "KonqBookmarkContextMenu|"
+msgid "Open in New Tab"
+msgstr ""
diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index 0f12199..676b172 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -18,6 +18,7 @@ set(kbookmarks_SRCS
   kbookmarkimporter_ns.cpp
   kbookmarkdombuilder.cpp
   kbookmarkdialog.cpp
+  ${kbookmarks_QM_LOADER}
 )
 
 add_library(KF5Bookmarks ${kbookmarks_SRCS})
diff --git a/tests/CMakeLists.txt b/tests/CMakeLists.txt
index 59b1cbd..abecd39 100644
--- a/tests/CMakeLists.txt
+++ b/tests/CMakeLists.txt
@@ -3,6 +3,7 @@ remove_definitions(-DQT_NO_CAST_FROM_ASCII)
 
 include(ECMMarkAsTest)
 
+include_directories(${CMAKE_BINARY_DIR})
 add_executable(kbookmarkdialogtest kbookmarkdialogtest.cpp)
 ecm_mark_as_test(kbookmarkdialogtest)
 target_link_libraries(kbookmarkdialogtest KF5::Bookmarks)
